KDE 4.7 PyKDE API Reference

- KDE's Python API

# TileLevelRangeWidget Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Signals
| bottomLevelChanged (int a0)
| topLevelChanged (int a0)
## Methods
| __init__ (self, QWidget parent=0, Qt::WindowFlags f=0)
int | bottomLevel (self)
| setAllowedLevelRange (self, int minimumLevel, int maximumLevel)
| setDefaultLevel (self, int a0)
QSize | sizeHint (self)
int | topLevel (self)

## Signal Documentation

bottomLevelChanged | ( | int | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("bottomLevelChanged(int)"), target_slot)`

topLevelChanged | ( | int | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("topLevelChanged(int)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

int bottomLevel | ( |  | self ) |

setAllowedLevelRange | ( | self, |
|  | int | minimumLevel,
|  | int | maximumLevel
| ) |  |  |

setDefaultLevel | ( | self, |
|  | int | a0
| ) |  |  |

QSize sizeHint | ( |  | self ) |

int topLevel | ( |  | self ) |